Skip to main content
POST
/
v1
/
config-objects
/
{configObjectId}
/
delete
delete config object
curl --request POST \
  --url https://api.openworklabs.com/v1/config-objects/{configObjectId}/delete
import requests

url = "https://api.openworklabs.com/v1/config-objects/{configObjectId}/delete"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.openworklabs.com/v1/config-objects/{configObjectId}/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "organizationId": "<string>",
    "title": "<string>",
    "description": "<string>",
    "searchText": "<string>",
    "currentFileName": "<string>",
    "currentFileExtension": "<string>",
    "currentRelativePath": "<string>",
    "createdByOrgMembershipId": "<string>",
    "connectorInstanceId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "deletedAt": "2023-11-07T05:31:56Z",
    "latestVersion": {
      "id": "<string>",
      "configObjectId": "<string>",
      "schemaVersion": "<string>",
      "normalizedPayloadJson": {},
      "rawSourceText": "<string>",
      "createdByOrgMembershipId": "<string>",
      "connectorSyncEventId": "<string>",
      "sourceRevisionRef": "<string>",
      "isDeletedVersion": true,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

configObjectId
string<typeid>
required

Den TypeID with 'cob_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cob_.*

Response

Config object lifecycle updated successfully.

ok
boolean
required
item
object
required